SignalScope Advanced 2018 for iOS

Stacks Image 7230
Stacks Image 7228

Version:

Required OS:

Price:

SignalScope Advanced 2018 offers an advanced tool set to meet your measurement and analysis needs as an engineer, consultant, educator, student, researcher, or savvy hobbyist in areas such as acoustics (sound and vibration), audio, electronics, and electroacoustics.

SignalScope Advanced 2018 requires iOS 10 or later and is designed to take full advantage of the latest iPhone and iPad screens.


SignalScope
Advanced 2018 will receive major upgrades, consistent with those available in the SignalScope X Advanced Tool Set subscription, through calendar year 2019, after which it will receive maintenance updates for a limited time. It can be used indefinitely thereafter on a compatible version of iOS.

Screenshots
iPhone
iPad

Description:

New in this version:

We use cookies and similar tracking technologies on our website. This enables us to enhance your experience, provide certain website features and functions, and to improve the services we offer. Learn more in our Privacy Policy.